Skip to main content
POST
/
contract_interactions
/
base_asset_id
/
{baseAssetId}
/
contract_address
/
{contractAddress}
/
functions
/
write
TypeScript
const response: Promise<FireblocksResponse<WriteCallFunctionResponseDto>> = fireblocks.contractInteractions.writeCallFunction(contractInteractionsApiWriteCallFunctionRequest);
{
  "txId": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://fireblocks-43c4b3ee-chore-add-cli.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Headers

Idempotency-Key
string

A unique identifier for the request. If the request is sent multiple times with the same idempotency key, the server will return the same response as the first request. The idempotency key is valid for 24 hours.

Path Parameters

contractAddress
string
required

The contract's onchain address

baseAssetId
string
required

Body

application/json
vaultAccountId
string
required

The vault account id this contract was deploy from

Example:

"0"

abiFunction
object
required
amount
string

Amount in base asset. Being used in payable functions

Example:

"12.345"

feeLevel
enum<string>

Fee level for the write function transaction. interchangeable with the 'fee' field

Available options:
LOW,
MEDIUM,
HIGH
Example:

"MEDIUM"

fee
string

Max fee amount for the write function transaction. interchangeable with the 'feeLevel' field

Example:

"2000"

note
string

Custom note, not sent to the blockchain, that describes the transaction at your Fireblocks workspace

useGasless
boolean

Indicates whether the token should be created in a gasless manner, utilizing the ERC-2771 standard. When set to true, the transaction will be relayed by a designated relayer. The workspace must be configured to use Fireblocks gasless relay.

Example:

false

externalId
string

External id that can be used to identify the transaction in your system. The unique identifier of the transaction outside of Fireblocks with max length of 255 characters

Example:

"0192e4f5-924e-7bb9-8e5b-c748270feb38"

Response

txId
string
required